Package org.kie.api.pmml

## Enum PMMLConstants

- java.lang.Object
- - java.lang.Enum<PMMLConstants>
  - - org.kie.api.pmml.PMMLConstants

- All Implemented Interfaces:
    `Serializable`, `Comparable<PMMLConstants>`

      public enum PMMLConstants
      extends Enum<PMMLConstants>

  Constants used by PMML implementations

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `KIE_PMML_IMPLEMENTATION` |
    `LEGACY` |
    `NEW` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PMMLConstants` | `byName​(String name)` |
    `String` | `getName()` |
    `static PMMLConstants` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static PMMLConstants[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### KIE_PMML_IMPLEMENTATION

          public static final PMMLConstants KIE_PMML_IMPLEMENTATION

    - #### LEGACY

          public static final PMMLConstants LEGACY

    - #### NEW

          public static final PMMLConstants NEW

  - ### Method Detail

    - #### values

          public static PMMLConstants[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PMMLConstants c : PMMLConstants.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PMMLConstants valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### byName

          public static PMMLConstants byName​(String name)

    - #### getName

          public String getName()